This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 511270 - metacity maps new windows on wrong monitor head
metacity maps new windows on wrong monitor head
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: fitandfinish
  Show dependency treegraph
 
Reported: 2009-07-14 10:26 EDT by Ray Strode [halfline]
Modified: 2010-12-05 01:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:43:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2009-07-14 10:26:43 EDT
Metacity seems to employ a window placement algorithm that minimizes overlap.  This makes sense within one monitor head, but does not make sense across all monitors.

Right now multihead users end up in a situation where some dialog for a maximized window ends up on a different head than the maximized window.

I think we should probably make new windows show up on the head the the mouse pointer if we don't know better.
Comment 1 Ray Strode [halfline] 2009-07-15 13:57:33 EDT
I looked at this a bit today.

It looks like I misdiagnosed what was going on.  Looking through the code, metacity already restricts placement to the monitor the mouse cursor is positioned on.

The problem I was seeing was specific to one app, Firefox.  When running a maximized firefox window and opening its Preferences dialog, the Preferences dialog shows up on the wrong head.

Assuming my gdb session lacks mistakes, it appears firefox is doing a few bad things here:

1) It's setting a PPosition size hint on the window
2) It's not making the window TYPE_DIALOG
3) It's not setting the window as transient to its parent
4) It's passing in the wrong x and y values for its initial configure request
Comment 2 Bug Zapper 2009-11-16 05:50:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-11-04 06:47:40 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-12-05 01:43:09 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.